Device Management Setting
2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getDeviceAccessMgmtSetting | GET | Get device access management setting |
| modifyDeviceAccessMgmtSetting | PATCH | Modify device access management setting |
getDeviceAccessMgmtSetting
GET /openapi/v1/{omadacId}/device-mgmt
Get device access management setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
json
// omada_call_operation
{
"operationId": "getDeviceAccessMgmtSetting"
}Details, permissions and error codes
Get device access management setting.
The interface requires one of the permissions:
Global Other Setting View Only
modifyDeviceAccessMgmtSetting
PATCH /openapi/v1/{omadacId}/device-mgmt
Modify device access management setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema DeviceAccessManagementSetting
| Field | Type | Required | Description |
|---|---|---|---|
webControlHttp | boolean | yes | Control device web http accessing. |
webControlHttps | boolean | yes | Control device web https accessing. |
appDiscovery | boolean | yes | Control device app discovery, bind with device web https access, if appDiscvoery is enabled, webControlHttps must be enabled. |
json
// omada_call_operation
{
"operationId": "modifyDeviceAccessMgmtSetting",
"body": "{...}"
}Details, permissions and error codes
Modify device access management setting.
The interface requires one of the permissions:
Global Other Setting Modify